# Prices

## Several pairs&#x20;

## Obtain the prices of several pairs in a single call from all exchanges available

<mark style="color:blue;">`GET`</mark> `/api/prices?pairs={pair_list}`

EX: /api/prices?pairs=BTC\_USD,BTC\_EUR,BTC\_CAD

#### Request Body

| Name                                         | Type   | Description   |
| -------------------------------------------- | ------ | ------------- |
| pair\_list<mark style="color:red;">\*</mark> | string | list of pairs |

{% tabs %}
{% tab title="200 JSON object with the current prices of the given trading pairs." %}

```json
[
    {
        "EXCHANGE":"CoinBasePro",
        "PAIR":"BTC_USD",
        "PRICE":"29,931.20",
        "TIMESTAMP":1691522877.094196
    },
    {
        "EXCHANGE":"CoinBasePro",
        "PAIR":"BTC_EUR",
        "PRICE":"27,262.65",
        "TIMESTAMP":1691522890.451964
    },
    {
        "EXCHANGE":"Yadio",
        "PAIR":"BTC_USD",
        "PRICE":"29,926",
        "TIMESTAMP":1691522925.4684741
    },
    {
        "EXCHANGE":"Yadio",
        "PAIR":"BTC_EUR",
        "PRICE":"27,306",
        "TIMESTAMP":1691522925.4716969
    },
    {
        "EXCHANGE":"Binance",
        "PAIR":"BTC_EUR",
        "PRICE":"27,819.68",
        "TIMESTAMP":1691522937.1918132
    },
    {
        "EXCHANGE":"Kraken",
        "PAIR":"BTC_USD",
        "PRICE":"29900.00000",
        "TIMESTAMP":1691523118.130265
    },
    {
        "EXCHANGE":"Kraken",
        "PAIR":"BTC_EUR",
        "PRICE":"27241.70000",
        "TIMESTAMP":1691523118.357162
    }
]
```

{% endtab %}

{% tab title="400: Bad Request " %}

{% endtab %}

{% tab title="500: Internal Server Error " %}

{% endtab %}
{% endtabs %}

## Single pair

## Returns the current price of a specific trading pair from all exchanges available

<mark style="color:blue;">`GET`</mark> `/api/prices/{pair}`

EX: GET /api/prices/BTC\_USD

#### Query Parameters

| Name                                   | Type   | Description |
| -------------------------------------- | ------ | ----------- |
| pair<mark style="color:red;">\*</mark> | String | single pair |

{% tabs %}
{% tab title="200: OK JSON object with the current prices of the given trading pair." %}

```json
[
    {
        "EXCHANGE":"CoinBasePro",
        "PAIR":"BTC_USD",
        "PRICE":"29,931.20",
        "TIMESTAMP":1691522877.094196
    },
    {
        "EXCHANGE":"Yadio",
        "PAIR":"BTC_USD",
        "PRICE":"29,926",
        "TIMESTAMP":1691522925.4684741
    },
    {
        "EXCHANGE":"Kraken",
        "PAIR":"BTC_USD",
        "PRICE":"29900.00000",
        "TIMESTAMP":1691523118.130265
    }
]

```

{% endtab %}

{% tab title="500: Internal Server Error " %}

{% endtab %}

{% tab title="400: Bad Request " %}

{% endtab %}
{% endtabs %}


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://scrapcoinpro.gitbook.io/scrapcoin/reference/api-reference/prices.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
